Alerts

Bootstrap Alerts

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

Bootstrap alerts are feedback messages that are displayed after specific actions performed by the user. The length of the text is unlimited.

With the right use of colors, they add some emotional weight to our information, ranging from a simple warning to a critical system failure or from an operation successful message to a piece of neutral information.


Basic examples

Alerts are available for any text length, as well as an optional dismiss button. For proper styling, use one of the eight required contextual classes (e.g., .alert-success). For inline dismissal, then use the alerts jQuery plugin.

        
            

        <div class="alert alert-primary" role="alert">
          A simple primary alert—check it out!
        </div>
        <div class="alert alert-secondary" role="alert">
          A simple secondary alert—check it out!
        </div>
        <div class="alert alert-success" role="alert">
          A simple success alert—check it out!
        </div>
        <div class="alert alert-danger" role="alert">
          A simple danger alert—check it out!
        </div>
        <div class="alert alert-warning" role="alert">
          A simple warning alert—check it out!
        </div>
        <div class="alert alert-info" role="alert">
          A simple info alert—check it out!
        </div>
        <div class="alert alert-light" role="alert">
          A simple light alert—check it out!
        </div>
        <div class="alert alert-dark" role="alert">
          A simple dark alert—check it out!
        </div>

      
        
    

Conveying meaning to assistive technologies

Using color to add meaning only provides a visual indication that will not be conveyed to users of assistive technologies – such as screen readers. So to should ensure that any information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the .sr-only class.



Additional content

Alerts can also contain additional HTML elements like headings, paragraphs and dividers.

        
            

        <div class="alert alert-success" role="alert">
          <h4 class="alert-heading">Well done!</h4>
          <p>Aww yeah, you successfully read this important alert message. This example text is going to run a bit longer so that you can see how spacing within an alert works with this kind of content.</p>
          <hr>
          <p class="mb-0">Whenever you need to, be sure to use margin utilities to keep things nice and tidy.</p>
        </div>

      
        
    

Dismissing

Using the alert JavaScript plugin, it’s possible to dismiss any alert inline. Here’s how:

  • Be sure you’ve loaded the alert plugin, or the compiled Bootstrap JavaScript.
  • If you’re building our JavaScript from source, it requires util.js. The compiled version includes this.
  • Add a dismiss button and the .alert-dismissible class, which adds extra padding to the right of the alert and positions the .close button.
  • On the dismiss button, add the data-dismiss="alert" attribute, which triggers the JavaScript functionality. Be sure to use the <button> element with it for proper behavior across all devices.
  • To animate alerts when dismissing them, be sure to add the .fade and .show classes.

You can see this in action with a live demo:

        
            

        <div class="alert alert-warning alert-dismissible fade show" role="alert">
          <strong>Holy guacamole!</strong> You should check in on some of those fields below.
          <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>

      
        
    

JavaScript behavior

Triggers

Enable dismissal of an alert via JavaScript:

        
            

          $('.alert').alert()

        
        
    

Or with data attributes on a button within the alert, as demonstrated above:

        
            

          <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>

        
        
    

Note that closing an alert will remove it from the DOM.


Methods

Method Description
$().alert() Makes an alert listen for click events on descendant elements which have the data-dismiss="alert" attribute. (Not necessary when using the data-api’s auto-initialization.)
$().alert('close') Closes an alert by removing it from the DOM. If the .fade and .show classes are present on the element, the alert will fade out before it is removed.
$().alert('dispose') Destroys an element’s alert.
        
            

          $(".alert").alert('close')

        
        
    

Events

Bootstrap’s alert plugin exposes a few events for hooking into alert functionality.

Event Description
close.bs.alert This event fires immediately when the close instance method is called.
closed.bs.alert This event is fired when the alert has been closed (it will wait for CSS transitions to complete).
        
            

          $('#myAlert').on('closed.bs.alert', function () {
            // do something…
          })

React Bootstrap Alerts

React Alerts - Bootstrap 4 & Material Design

Bootstrap alerts are feedback messages which are displayed after specific actions preceded by the user. Length of the text is not limited.

With the right use of colors, they add some emotional weight to our information, ranging from a simple warning to critical system failure or from an operation success to a neutral information.

Additional resources: Have a look at our tutorial about Web Push alerts


Basic examples

Alerts are available for any length of text, as well as an optional dismiss button. For proper styling, use one of the eight contextual props (e.g., color="success"). For inline dismissal, use the dismiss prop.

        
            
          import React from "react";
          import { MDBContainer, MDBAlert } from 'mdbreact';

          const AlertPage = () => {
            return (
              <MDBContainer>
                <MDBAlert color="primary" >
                  A simple primary alert—check it out!
                </MDBAlert>
                <MDBAlert color="secondary" >
                  A simple secondary alert—check it out!
                </MDBAlert>
                <MDBAlert color="success" >
                  A simple success alert—check it out!
                </MDBAlert>
                <MDBAlert color="danger" >
                  A simple success alert—check it out!
                </MDBAlert>
                <MDBAlert color="warning" >
                  A simple warning alert—check it out!
                </MDBAlert>
                <MDBAlert color="info" >
                  A simple info alert—check it out!
                </MDBAlert>
                <MDBAlert color="light" >
                  A simple light alert—check it out!
                </MDBAlert>
                <MDBAlert color="dark" >
                  A simple dark alert—check it out!
                </MDBAlert>
              </MDBContainer>
            );
          };

          export default AlertPage;
        
        
    

Conveying meaning to assistive technologies

Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the .sr-only class.



Additional content

Alerts can also contain additional HTML elements like headings, paragraphs and dividers.

        
                      
          import React from "react";
          import { MDBContainer, MDBAlert } from 'mdbreact';

          const AlertPage = () => {
            return (
              <MDBContainer>
                <MDBAlert color="success">
                  <h4 className="alert-heading">Well done!</h4>
                  <p>Aww yeah, you successfully read this important alert message. This example text is going to run a bit longer so that you can see how spacing within an alert works with this kind of content.</p>
                  <hr />
                  <p className="mb-0">Whenever you need to, be sure to use margin utilities to keep things nice and tidy.</p>
                </MDBAlert>
              </MDBContainer>
            );
          };

          export default AlertPage;        
        
        
    

Dismissing

Using the React Alert component, it’s possible to dismiss any alert inline. You can see this in action with a live demo:

        
            
          import React from "react";
          import { MDBContainer, MDBAlert } from 'mdbreact';

          const AlertPage = () => {
            return (
              <MDBContainer>
                <MDBAlert color="warning" dismiss>
                  <strong>Holy guacamole!</strong> You should check in on some of those fields below.
                </MDBAlert>
              </MDBContainer>
            );
          };

          export default AlertPage;
        
        
    

React Alerts - API

In this section you will find advanced information about the Alert component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Alert import statement

In order to use Alert component make sure you have imported proper module first.

        
            
            import { MDBAlert } from "mdbreact";
          
        
    

The table below shows the configuration options of the MDBAlert component.

Name Type Default Description Example
className String Adds custom classes <MDBAlert className="myClass" ... />
color string primary Sets color of the alert. Choose one of these: 'primary', 'secondary', 'success', 'danger', 'warning', 'info', 'light', 'dark' <MDBAlert color="primary" ... />
dismiss Boolean false Adds a close button and lets you dismiss alert inline <MDBAlert dismiss ... />

API Reference: Alert Events

Name Parameters Description Example
onClose This event fires immediately when the close instance method is called. <MDBAlert onClose={()=> alert('onClose event')} />
onClosed This event is fired when the alert has been closed. <MDBAlert onClosed={()=> alert('onClosed event')} />

Vue Bootstrap Alerts

Vue Alerts - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Bootstrap alerts are feedback messages which are displayed after specific actions preceded by the user. Length of the text is not limited.

With the right use of colors, they add some emotional weight to our information, ranging from a simple warning to critical system failure or from an operation success to a neutral information.


Basic examples

Alerts are available for any length of text, as well as an optional dismiss button. For proper styling, use one of the eight contextual props (e.g., color="success"). For inline dismissal, use the dismiss prop.

        
            
        <template>
          <mdb-container>
            <mdb-alert color="primary">
              This is a primary alert—check it out!
            </mdb-alert>
            <mdb-alert color="secondary">
              This is a secondary alert—check it out!
            </mdb-alert>
            <mdb-alert color="success">
              This is a success alert—check it out!
            </mdb-alert>
            <mdb-alert color="danger">
              This is a danger alert—check it out!
            </mdb-alert>
            <mdb-alert color="warning">
              This is a warning alert—check it out!
            </mdb-alert>
            <mdb-alert color="info">
              This is a info alert—check it out!
            </mdb-alert>
            <mdb-alert color="light">
              This is a light alert—check it out!
            </mdb-alert>
            <mdb-alert color="dark">
              This is a dark alert—check it out!
            </mdb-alert>
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbContainer, mdbAlert } from 'mdbvue';
          export default {
            name: 'AlertPage',
            components: {
              mdbContainer,
              mdbAlert
            },
          }
        </script>
    
        
    

Conveying meaning to assistive technologies

Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the .sr-only class.



Additional content

Alerts can also contain additional HTML elements like headings, paragraphs and dividers.

        
            
          <template>
            <mdb-alert color="success">
              <h4 class="alert-heading">Well done!</h4>
              <p>Aww yeah, you successfully read this important alert message. This example text is going to run a bit longer so that you can see how spacing within an alert works with this kind of content.</p>
              <hr>
              <p class="mb-0">Whenever you need to, be sure to use margin utilities to keep things nice and tidy.</p>
            </mdb-alert>
          </template>
        
        
    
        
            
          <script>
            import { mdbAlert } from 'mdbvue';
            export default {
              name: 'AlertPage',
              components: {
                mdbAlert
              }
            }
          </script>
      
        
    

Dismissing

Using the Vue Alert component, it’s possible to dismiss any alert inline. You can see this in action with a live demo:

        
            
          <template>
            <mdb-alert color="warning" v-if="p1" @closeAlert="p1=false" dismiss>
              <strong>Holy guacamole!</strong> You should check in on some of those fields below.
            </mdb-alert>
          </template>
        
        
    
        
            
          <script>
            import { mdbAlert } from 'mdbvue';
            export default {
              name: 'AlertPage',
              components: {
                mdbAlert
              },
              data() {
                return {
                  p1: true
                };
              }
            }
          </script>
      
        
    

Vue Alert - API

In this section you will find advanced information about the Vue Alert component. You will learn which modules are required in this component and what are the possibilities of configuring the component.


Import statement

        
            
      <script>
        import { mdbAlert } from 'mdbvue';
      </script>
    
        
    

The table below shows the configuration options of the MDBAlert component.

Name Type Default Description Example
tag String div Sets alert's tag name <mdb-alert tag="span" ... >
color String -- Customises colors <mdb-alert color="warning" ... >
dissmiss Boolean false Should the alert have a close button <mdb-alert dismiss ... >
closeClass String primary Sets classes for close button <mdb-alert dissmiss closeClass="red-text" ... >
enterAnimation String -- Use our Animations classes to customize alert with regard to the way it enters the scene <mdb-alert enterAnimatrion="flipInX" ... >
leaveAnimation String -- Use our Animations classes to customize alert with regard to the way it goes away <mdb-alert leaveAnimatrion="rotateOutUpLeft" ... >

API Reference: Alert Events

Name Description Example
beforeEnter This event gets emitted when alert is about to appear. <mdb-alert @beforeEnter={()=> alert('beforeEnter event')}>
enter This event gets takes place when alert appears. <mdb-alert @enter={()=> alert('enter event')}>
afterEnter This event happens once the alert is in place. <mdb-alert @afterEnter={()=> alert('afterEnter event')}>
enterCancelled This event takes place in case the transition has been interupted. <mdb-alert @enterCancelled={()=> alert('enterCancelled event')}>
beforeLeave This event gets emitted when alert is about to disappear. <mdb-alert @beforeLeave={()=> alert('beforeLeave event')}>
leave This event gets takes place when alert starts to get away. <mdb-alert @leave={()=> alert('leave event')}>
afterLeave This event happens once the alert is gone. <mdb-alert @afterLeave={()=> alert('afterLeave event')}>
leaveCancelled This event takes place in case the leaving transition has been interupted. <mdb-alert @leaveCancelled={()=> alert('leaveCancelled event')}>

Angular Bootstrap alerts

Angular Alerts - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap alerts are feedback messages which are displayed after specific actions preceded by the user. Length of the text is not limited.

With the right use of colors, they add some emotional weight to our information, ranging from a simple warning to critical system failure or from an operation success to a neutral information.


Basic examples

Alerts are available for any length of text, as well as an optional dismiss button. For proper styling, use one of the four required contextual classes (e.g., .alert-success).

        
            
          <div class="alert alert-primary" role="alert">This is a primary alert—check it out!</div>
          <div class="alert alert-secondary" role="alert">This is a secondary alert—check it out!</div>
          <div class="alert alert-success" role="alert">This is a success alert—check it out!</div>
          <div class="alert alert-danger" role="alert">This is a danger alert—check it out!</div>
          <div class="alert alert-warning" role="alert">This is a warning alert—check it out!</div>
          <div class="alert alert-info" role="alert">This is a info alert—check it out!</div>
          <div class="alert alert-light" role="alert">This is a light alert—check it out!</div>
          <div class="alert alert-dark" role="alert">This is a dark alert—check it out!</div>
        
        
    


Alert additional content

        
            
          <div class="alert alert-success" role="alert">
            <h4 class="alert-heading">Well done!</h4>
            <p>
              Aww yeah, you successfully read this important alert message. This example text is going
              to run a bit longer so that you can see how spacing within an alert works with this kind
              of content.
            </p>
            <hr />
            <p class="mb-0">Whenever you need to, be sure to use margin utilities to keep things nice and tidy.</p>
          </div>
        
        
    

Alert dismissing

        
            
          <div #alert class="alert alert-warning alert-dismissible fade show" role="alert">
            <button type="button" class="close" aria-label="Close" (click)="closeAlert()">
              <span aria-hidden="true">&times;</span>
            </button>
            <strong>Holy guacamole!</strong> You should check in on some of those fields below.
          </div>
        
        
    
        
            
          import { Component, ViewChild, ElementRef } from '@angular/core';

          @Component({
            selector: 'dismiss-alert',
            templateUrl: './dismiss-alert.component.html'
          })
          export class DismissAlertComponent {
            @ViewChild('alert', { static: true }) alert: ElementRef;

            closeAlert() {
              this.alert.nativeElement.classList.remove('show');
            }
          }